cp2foss(1)

NAME
cp2foss - load one or more files or archives into the FOSSology Database.

SYNOPSIS
 Usage: cp2foss [options] [archives]
 Options: -AQThv [-f path] [-AA num] [-q {agent,agent.. | all}] [-X path]
 [-n name] [-d descritpion]

DESCRIPTION
cp2foss (copy to foss) will load one or more files or archives into the folder path specified by -f. The folders in the folder-path do not need to exist. cp2foss will create them as needed.

Archives can be a file, directory or URL to the archive. If the archive is a URL, then it is retrieved and added. If the archive is a file, then it is used as the source to add. If the archive is a directory, then all files under it are recursively added.

A single hyphen means the archive list will come from standard in (stdin).

  Options
NOTE: The order of the options is significant. Options are processed in the order that they are used on the command line.

-A  Turn on alpha-folders. Default is off. When many archives are loaded, navigating through all the folders can be difficult. This option groups packages under alpha folders based on the first letter of the package name. For example, your folder path is ProjX/pass1/. Using alpha-folders the archive "andyroid" would end up under a folder path ProjX/pass/a-c/andyroid.

-AA num
    Specify the number of letters per folder (default: 3); implies -A. For example, using the default, the alpha folders would be a-c, d-f, g-i and so on.

-d description
    A short meaningful description the captures what the upload folder will contain. Description must be quoted with either single or double quotes.

-f path
    folder path for storing uploaded files (e.g., -f 'Fedora/ISOs/Disk 1'). You do not need to specify the top or root folder /Software Repository. All paths are under /Software Repository. If /Software Repository is used in the folder path, cp2foss will correctly create all of the other other folders in the path under the top folder.

-? Help, see -h
-h  Help, prints a verbose usage message.

-n name
    An optional name that will be used to store the upload in the database. The default name is the filename from the upload.

-Q  List all available processing agents. Any or all of the agents listed can be used with the -q option. See -q for more details.

-q agent-list | all
    Indicate what processing agents to use in analyzing the upload. The list is specified as a comma-separated list of agents, (use -Q to display the list of agents), or the word all. If -q is not used, the item will still be uploaded and unpacked. To schedule agent jobs later see fossjobs or use the FOSSology web interface.

-T  TEST. (for Debugging) No database or repository updates are performed. Test mode enables verbose mode. This is a trial run of the actions that cp2foss will do.

-v  Verbose (for debugging). Details the actions being performed. -T turns this on automatically.

-X  Item to exclude when archive is a directory. You can specify more than one -X. For example, to exclude all svn and cvs directories, include the following before the archive's directory path: -X .svn -X .cvs

  Depricated Options

-a archive
    See Description above.

-p path
    see -f

-R  Ignored.

-w  Ignored.

EXAMPLES
"cp2foss -f Folder1 -d 'the first file' /tmp/file1 \
           -d 'the second file' /tmp/file2 \"

Would load the archives file1 and file2 in the folder Folder using the supplied descriptions for each upload.

"cp2foss -q all -p Ubuntu -n 'Gutsy Gibon' -d 'Ubuntu Gutsy 7.10' 'http://ubuntu.cs.utah.edu/releases/gutsy/ubuntu-7.10-desktop-i386.iso' "

The above example, cp2foss will first get the archive using wget. It will then load the downloaded archive into the database calling the upload 'Gutsy Gibon'.

"cp2foss -A -f Fedora/Fedora8 -n Fedora8 -d 'Fedora 8 Sources' -X .svn -X .cvs /bigdisk/fedora"

Loads every file under the /bigdisk/fedora directory, except files in the Subversion and CVS directories. The files are placed in the UI under the folder "Fedora/Fedora8" and are grouped by the first letter of each file (a-c, d-f, g-h, etc.).

AUTHOR
Neal Krawetz/Mark Donohoe for the Hewlett-Packard Company

SEE ALSO
wget, fossjobs, fosslic